This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861270 - [WebTrans] Right-arrow does not jump to next character if the word is wider than the cell editor
[WebTrans] Right-arrow does not jump to next character if the word is wider t...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity high
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 22:59 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 866352 (view as bug list)
Environment:
Last Closed: 2012-11-07 01:18:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-09-27 22:59:32 EDT
Description of problem:
When editing a very long word (such as URL) which is wider than the cell editor, press right-arrow key does not necessary move the cursor to next character.

This happens in both Firefox and Chrome

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120928-0032)

How reproducible:
Always

Steps to Reproduce:
1. Visit any document in any project version.
2. Put a wider-than-cell-editor word in the cell editor,
   such as "123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890"
3. Move the cursor to the beginning of the string.
4. Press the right arrow key.
  
Actual results:
Cursor moved to next line or some random place

Expected results:
Cursor move to next character.

Additional info:
Comment 1 Patrick Huang 2012-10-03 01:20:07 EDT
committed into master:
https://github.com/zanata/zanata/commit/cd54e78aaaac17a99edaecd5b0dc3db916a9b038
Comment 2 Ding-Yi Chen 2012-10-10 22:58:07 EDT
Tested with Zanata version 1.8.0-SNAPSHOT (20121011-0029) on Firefox ESR 10.0.6
and Google Chrome 15.0.874.121

After paste the string: 123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890

The sympton describe in the bug description is gone. 
However, now the text area does not follow the cursor when it is out of range.
i.e. Suppose the screen wide is 80 character, and the text area still shows column 1~80 when the cursor is at column 90. Which make the editing actions invisible to user.

Reassigned.
Comment 3 Patrick Huang 2012-10-11 21:24:19 EDT
(In reply to comment #2)
> Tested with Zanata version 1.8.0-SNAPSHOT (20121011-0029) on Firefox ESR
> 10.0.6
> and Google Chrome 15.0.874.121
> 
> After paste the string:
> 12345678901234567890123456789012345678901234567890123456789012345678901234567
> 8901234567890
> 
> The sympton describe in the bug description is gone. 
> However, now the text area does not follow the cursor when it is out of
> range.
> i.e. Suppose the screen wide is 80 character, and the text area still shows
> column 1~80 when the cursor is at column 90. Which make the editing actions
> invisible to user.
> 
> Reassigned.

The scroll to cursor happens a bit late(about typing three characters will trigger a scroll to cursor). You will have to manually use the scrollbar. 
Before we upgrade to codemirror 3(at the moment still in BETA version and is not backward compatible), we have to use a scrollbar when a line is not breakable by words.

Please raise another bug(upgrade to codemirror version 3) for this to be properly resolved.
Comment 4 Ding-Yi Chen 2012-10-15 03:04:58 EDT
According to pahuang@redhat.com, the cursor moving issue is different issue and will not be fixed until codemirror 3 is released.

Thus I open the Bug 866352 for tracing the codemirror 3.

This bug can be VERIFIED wiht Zanata version 1.8.0-SNAPSHOT (20121012-0031)
Comment 5 Sean Flanigan 2012-11-07 01:18:58 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.